Bug 997318 - NetworkManager-wait-online.service should pull in network-online.target
Summary: NetworkManager-wait-online.service should pull in network-online.target
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 993638
TreeView+ depends on / blocked
 
Reported: 2013-08-15 07:04 UTC by WANG Chao
Modified: 2017-09-13 15:45 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-28 18:09:57 UTC


Attachments (Terms of Use)

Description WANG Chao 2013-08-15 07:04:58 UTC
Description of problem:
NetworkManager-wait-online.service doesn't "Wants" network-online.target now. When no target/service "Wants"/"Requires" n-o.t, n-o.t would never be active, even if network is actually online.

kdump.service needs to run after network is online, I'd like to use n-o.t as the checkpoint.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Dan Winship 2013-08-28 18:09:57 UTC
this is fixed upstream... it's not actually in rawhide yet, but it should be by next week's f20 alpha


Note You need to log in before you can comment on or make changes to this bug.